(function ($, Drupal, drupalSettings) {
  'use strict';

  /**
   * @namespace
   */
  Drupal.gglMapSettings = Drupal.gglMapSettings || {};

  /**
   * Replace Google Constants by there correct value.
   */
  Drupal.gglMapSettings.replaceGoogleConstants = function () {
    if (drupalSettings.gglMap.map.mapTypeControlOptions.mapTypeIds.indexOf('google.maps') > -1) {
      drupalSettings.gglMap.map.mapTypeControlOptions.mapTypeIds = eval(drupalSettings.gglMap.map.mapTypeControlOptions.mapTypeIds);
    }
    if (drupalSettings.gglMap.map.mapTypeControlOptions.position.indexOf('google.maps') > -1) {
      drupalSettings.gglMap.map.mapTypeControlOptions.position = eval(drupalSettings.gglMap.map.mapTypeControlOptions.position);
    }
    if (drupalSettings.gglMap.map.mapTypeControlOptions.style.indexOf('google.maps') > -1) {
      drupalSettings.gglMap.map.mapTypeControlOptions.style = eval(drupalSettings.gglMap.map.mapTypeControlOptions.style);
    }
    if (drupalSettings.gglMap.map.zoomControlOptions.position.indexOf('google.maps') > -1) {
      drupalSettings.gglMap.map.zoomControlOptions.position = eval(drupalSettings.gglMap.map.zoomControlOptions.position);
    }
    $.each(drupalSettings.gglMap.path.icons, function (index, icon) {
      if (icon.icon.path.indexOf('google.maps') > -1) {
        icon.icon.path = eval(icon.icon.path);
      }
    });
  }

})(jQuery, Drupal, drupalSettings);
